Last Comment Bug 891604 - [ga-IE] Search engine setup for Firefox Mobile for Irish
: [ga-IE] Search engine setup for Firefox Mobile for Irish
Status: VERIFIED FIXED
: productization
Product: Mozilla Localizations
Classification: Client Software
Component: ga-IE / Irish (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla25
Assigned To: Kevin Scannell
: Brian King [:kinger]
Mentors:
https://wiki.mozilla.org/L10n:Mobile/...
Depends on:
Blocks: fm-l10n-ga
  Show dependency treegraph
 
Reported: 2013-07-09 15:21 PDT by Jeff Beatty [:gueroJeff]
Modified: 2013-08-27 13:23 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Use m.focal.ie if possible, desktop site otherwise (2.01 KB, patch)
2013-07-10 16:29 PDT, Kevin Scannell
francesco.lodolo: review-
Details | Diff | Review
images.html (2.05 KB, text/html)
2013-08-19 06:42 PDT, Francesco Lodolo [:flod]
no flags Details
Improved patch for using m.focal.ie, correct image (3.02 KB, patch)
2013-08-19 12:32 PDT, Kevin Scannell
francesco.lodolo: review+
l10n: feedback+
Details | Diff | Review

Description Jeff Beatty [:gueroJeff] 2013-07-09 15:21:17 PDT
We want to ship Firefox Mobile with a good list of search engines for Irish.

We're going to work towards this in three phases. First, the localization team and the l10n drivers will look at the market for the language and come up with a good set of search providers. Kevin, we'll need your input on this, the guidelines for making recommendations are on <https://wiki.mozilla.org/L10n:Mobile/Productization>.

For en-US, we currently use this set, to which we can fall back in the case of lacking localized alternatives:

> Google (mobile version), Amazon, Twitter, Wikipedia (slightly different to desktop, 32x32 icon)

Once we decide to use a particular search engine (and we test it on a mobile device), l10n drivers will contact the owner and ask for permission, and for specifics like proper search flags. Kevin, we'll likely need your help to at least get the contact information.

For search engines that we already ship with on desktop and that you would like to include in mobile as well, the permission is not needed. Consider using a mobile version of the engine if one is available. Also, please make yourself familiar with instructions regarding the <Description/> element at <https://wiki.mozilla.org/L10n:Integrated_Search_Instructions>.

Once we have a specification on what the search engines for Irish should look like, Milos and the localization team will work on an implementation on that. Milos will create and attach patches for the desired changes and get them reviewed. After a successful review, Milos will land them. Kevin, if you're interested, you could create the patches, too. You'd ask Milos for review on those before landing.

Please don't commit any modifications in browser/searchplugins to the hg repository without a patch reviewed by Milos, Stas, Axel or someone else appointed by the l10n drivers. The data here is sensitive to users and our search partners, thus the extra care here.

The Irish team and Milos will be driving this bug to completion. 

We are aiming for inclusion in Firefox 25, which will become available in Aurora on August 6, 2013.
Comment 1 Kevin Scannell 2013-07-10 11:15:04 PDT
I currently have Google, Amazon UK, Twitter, Wikipedia (Irish), and focal.ie on aurora.   All of these are used on the desktop as well.   Focal.ie is a useful Irish language dictionary/terminology database; would it be ok to use these five?
Comment 2 Jeff Beatty [:gueroJeff] 2013-07-10 12:35:15 PDT
(In reply to Kevin P. Scannell from comment #1)
> I currently have Google, Amazon UK, Twitter, Wikipedia (Irish), and focal.ie
> on aurora.   All of these are used on the desktop as well.   Focal.ie is a
> useful Irish language dictionary/terminology database; would it be ok to use
> these five?

Cool. Would you be willing to create a patch with these in it for Fennec and assign it to Milos for review please? https://developer.mozilla.org/en-US/docs/Productization_guide
Comment 3 Kevin Scannell 2013-07-10 12:38:46 PDT
I think I may already be set up correctly, no patch needed.  How does this look?

http://hg.mozilla.org/releases/l10n/mozilla-aurora/ga-IE/file/90d98b82fdc0/mobile/searchplugins


The only change I'm considering is that focal.ie recently released a mobile version of the site - I can change the plugin to reflect that.
Comment 4 Jeff Beatty [:gueroJeff] 2013-07-10 12:50:19 PDT
(In reply to Kevin P. Scannell from comment #3)
> I think I may already be set up correctly, no patch needed.  How does this
> look?
> 
> http://hg.mozilla.org/releases/l10n/mozilla-aurora/ga-IE/file/90d98b82fdc0/
> mobile/searchplugins
> 
> 
> The only change I'm considering is that focal.ie recently released a mobile
> version of the site - I can change the plugin to reflect that.

That's a good question. I know that the preference is for desktop sites for Fennec on tablets and mobile sites for Fennec on smartphones, but I'm not sure how the negotiation for that works. Axel, Milos, any info?
Comment 5 Axel Hecht [:Pike] 2013-07-10 13:15:43 PDT
Yeah, for tablets we probably want the desktop site, and the mobile site for phones. It'd be good to know if focal.ie does feature detection there and sends you to the right site depending on screen size. That's what wikipedia does.

If not, we can do something similar to bug 850984, and encode different urls depending on tablet or not.
Comment 6 Kevin Scannell 2013-07-10 13:30:16 PDT
It appears they don't detect screen size - no redirect with the mobile devices I've tried here.
Comment 7 Kevin Scannell 2013-07-10 16:29:39 PDT
Created attachment 773691 [details] [diff] [review]
Use m.focal.ie if possible, desktop site otherwise

No idea if this works - I just mimicked the baidu.com plugin from bug 850984.
Comment 8 Jeff Beatty [:gueroJeff] 2013-08-12 09:59:25 PDT
(In reply to Kevin Scannell from comment #7)
> Created attachment 773691 [details] [diff] [review]
> Use m.focal.ie if possible, desktop site otherwise
> 
> No idea if this works - I just mimicked the baidu.com plugin from bug 850984.

Hey Kevin,

Thanks for the patch. Could you review flag flod on that attachment please?

Thanks,
Jeff
Comment 9 Francesco Lodolo [:flod] 2013-08-12 11:32:16 PDT
Comment on attachment 773691 [details] [diff] [review]
Use m.focal.ie if possible, desktop site otherwise

Review of attachment 773691 [details] [diff] [review]:
-----------------------------------------------------------------

The image is not showing on Android because of bug 892924 (the data URI most not contain %).

From a quick test I'd say it's working as expected: full website on a tablet (Nexus 7), mobile website on phone (Galaxy S II), but I'd like to review the complete patch and ask pike for a feedback.
Comment 10 Kevin Scannell 2013-08-19 06:33:59 PDT
Do I need to just wait for a fix for bug 892924 then?  Or can you re-review the same patch when that's fixed?
Comment 11 Francesco Lodolo [:flod] 2013-08-19 06:42:04 PDT
Created attachment 792191 [details]
images.html

Sorry, I gave too much information for granted.

You can fix this by using a data URI without % (i.e. use the data from the second image in this file).
Comment 12 Kevin Scannell 2013-08-19 12:32:36 PDT
Created attachment 792351 [details] [diff] [review]
Improved patch for using m.focal.ie, correct image

Thanks flod, I understand now.  Here's the new patch.
Comment 13 Francesco Lodolo [:flod] 2013-08-19 23:28:29 PDT
Comment on attachment 792351 [details] [diff] [review]
Improved patch for using m.focal.ie, correct image

Patch looks good to me: image shows up now, tablet and phone work as expected.

The resulting searchplugin can be tested from here
http://flod.org/testsp

Please wait a bit more before landing this, requesting feedback to pike since I'm pretty new at this.

One concern: none of your searchplugins has a license header, I think it would be appropriate to add one. See for example en-US.
http://hg.mozilla.org/mozilla-central/file/bb025b6949e8/mobile/locales/en-US/searchplugins

Let's what Axel thinks about this too.
Comment 14 Axel Hecht [:Pike] 2013-08-20 11:57:14 PDT
Comment on attachment 792351 [details] [diff] [review]
Improved patch for using m.focal.ie, correct image

Review of attachment 792351 [details] [diff] [review]:
-----------------------------------------------------------------

Yeah, looks good. I'd move the licensing out to another bug, as none of the xml files for search have a license header.
Comment 15 Francesco Lodolo [:flod] 2013-08-20 12:24:23 PDT
Thanks Pike. 

Kevin, in the commit message remember to add a reference to this bug and r=flod, f=pike.

I've filed bug 907348 for the license headers.
Comment 16 Kevin Scannell 2013-08-20 19:02:33 PDT
Landed on aurora:

http://hg.mozilla.org/releases/l10n/mozilla-aurora/ga-IE/rev/3cbd3de9f6a9

I'll mark as resolved+fixed but let me know if there's anything else I need to do.
Comment 17 Francesco Lodolo [:flod] 2013-08-20 21:08:22 PDT
Test it on Aurora as soon as it's available and mark the bug as verified ;-)

Note You need to log in before you can comment on or make changes to this bug.